Identities

Upload an identity

POST
/identity/upload

Uploads an identity (supports multiple images) for use in batch processing.

Authorization

token_auth
headerAuthorizationBearer <token>

Token-based authentication using access tokens.

Request Body

multipart/form-data
  1. body
image*Image

Identity image data.

Formatbinary
name?|

Optional custom name for the identity.

Defaultnull
tag?|

Optional tag for budget_category purposes.

Defaultnull

Response Body

Successful Response

application/json
  1. response
original_filename?|

Original filename of the uploaded image.

Defaultnull
link*string|null
thumbnail_link?|

768px WebP thumbnail URL for grid/list rendering. Falls back to link when null.

Defaultnull
visibility*Visibility

Visibility level of the identity.

Value in"shared""private""default"
groups*array<string>

Groups the identity is shared with.

identity_code*Identity Code

Unique identifier for the identity.

name*|

Identity custom name (can be null)

created_by*|

Username of the creator.

image_description?|

Structured image description (JSON).

Defaultnull
success*Success
face_detected*Face Detected
face_metadata*
created_at*Created At
curl -X POST "https://example.com/identity/upload" \  -F image="string"
{  "original_filename": null,  "link": "string",  "thumbnail_link": null,  "visibility": "shared",  "groups": [    "string"  ],  "identity_code": "string",  "name": "string",  "created_by": "string",  "image_description": null,  "success": true,  "face_detected": true,  "face_metadata": {    "property1": 0,    "property2": 0  },  "created_at": "string"}